> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Accounts

> Given a customer, retrieve its accounts from a financial provider with signature.



## OpenAPI

````yaml GET /partner/clover/accounts
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/accounts:
    get:
      tags:
        - Clover
      summary: Get Client Accounts Signed
      description: >-
        Given a customer, retrieve its accounts from a financial provider with
        signature.
      operationId: get_client_accounts_signed_partner_clover_accounts_get
      parameters:
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseSchema_CloverAccountsResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResponseSchema_CloverAccountsResponse_:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - $ref: '#/components/schemas/CloverAccountsResponse'
            - type: 'null'
      type: object
      required:
        - message
      title: ResponseSchema[CloverAccountsResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CloverAccountsResponse:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Customer name
          examples:
            - '1234'
        dba_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dba Name
          description: DBA name
          examples:
            - '1234'
        accounts:
          items:
            $ref: '#/components/schemas/CloverAccount'
          type: array
          title: Accounts
          description: Customer accounts
      type: object
      title: CloverAccountsResponse
      description: Schema to serialize the account data.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CloverAccount:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Customer account id
          examples:
            - '1234'
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: Customer account
          examples:
            - '1234'
        account_group:
          anyOf:
            - type: integer
            - type: 'null'
          title: Account Group
          description: Customer account group
          examples:
            - '1234'
        account_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Title
          description: Customer account title
          examples:
            - Customer account title
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Customer account status
          examples:
            - open
            - closed
        interest_earned_year_to_date:
          anyOf:
            - type: number
            - type: 'null'
          title: Interest Earned Year To Date
          description: Interest earned year to date
          examples:
            - 0
        annual_percentage_yield_earned:
          anyOf:
            - type: number
            - type: 'null'
          title: Annual Percentage Yield Earned
          description: Annual percentage yield earned
          examples:
            - 0
        close_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Close Date
          description: Account close date
      type: object
      title: CloverAccount
      description: Schema to serialize the account data.

````